## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iQuestRewardFactory Struct Reference

A factory to create rewards. More...

`#include <tools/questmanager.h>`

List of all members.

## Public Member Functions

virtual csPtr< iQuestReward > | CreateReward (iQuest *quest, const celQuestParams &params)=0
| Create a reward.
virtual bool | Load (iDocumentNode *node)=0
| Load this factory from a document node.

## Detailed Description

A factory to create rewards.

Reward factories are created by an iQuestRewardType instance.

Definition at line 225 of file questmanager.h.

## Member Function Documentation

virtual csPtr<iQuestReward> iQuestRewardFactory::CreateReward | ( | iQuest * | quest,
|  | const celQuestParams & | params
| ) | `[pure virtual]`

Create a reward.

Parameters:

  | quest | is the quest for which we are creating this reward.
  | params | are the parameters with which this reward is instantiated.

virtual bool iQuestRewardFactory::Load | ( | iDocumentNode * | node | ) | `[pure virtual]`

Load this factory from a document node.

Parameters:

  | node | is the <reward> node in a trigger description.

Returns:
  false on error (reporter is used to report).

The documentation for this struct was generated from the following file:

- tools/questmanager.h